import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import static ru.ifmo.testlib.Outcome.Type.*;

public class Check implements Checker {
	public static final double EPS = 1e-6;

    public Outcome outcome(Outcome.Type type, final String format) {
        return new Outcome(type, format);
    }

    public Outcome test(InStream inf, InStream ouf, InStream ans) {
		int n = inf.nextInt();
		int m = inf.nextInt();
		for (int i = 0; i < n; i++) {
		 	for (int j = 0; j < m; j++) {
		 	 	int ja = ans.nextInt();
				int pa = ouf.nextInt();
				if (ja != pa) {
				 	return outcome(WA, String.format("a[%d][%d]: expected %d, found %d", i, j, ja, pa));
				}
			}
		}
		return outcome(OK, String.format("OK, n = %d, m = %d", n, m));
	}
}
